Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyPackageDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyPackageDoc

All Implemented Interfaces:
  GroovyPackageDoc

    public class SimpleGroovyPackageDoc
    extends SimpleGroovyDoc

Constructor Summary
`SimpleGroovyPackageDoc(java.lang.String name)`

Method Summary
`GroovyClassDoc[]` | `allClasses()`
`GroovyClassDoc[]` | `allClasses(boolean arg0)`
`java.lang.String` | `description()`
`GroovyClassDoc[]` | `enums()`
`GroovyClassDoc[]` | `errors()`
`GroovyClassDoc[]` | `exceptions()`
`GroovyClassDoc` | `findClass(java.lang.String arg0)`
`java.lang.String` | `getRelativeRootPath()`
`GroovyClassDoc[]` | `interfaces()`
`java.lang.String` | `nameWithDots()`
`GroovyClassDoc[]` | `ordinaryClasses()`
`void` | `putAll(java.util.Map classes)`
`void` | `setDescription(java.lang.String description)`
`void` | `setSummary(java.lang.String summary)`
`java.lang.String` | `summary()`

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyPackageDoc

    public SimpleGroovyPackageDoc(java.lang.String name)

Method Detail

### allClasses

    public GroovyClassDoc[] allClasses()

### allClasses

    public GroovyClassDoc[] allClasses(boolean arg0)

### description

    public java.lang.String description()

### enums

    public GroovyClassDoc[] enums()

### errors

    public GroovyClassDoc[] errors()

### exceptions

    public GroovyClassDoc[] exceptions()

### findClass

    public GroovyClassDoc findClass(java.lang.String arg0)

### getRelativeRootPath

    public java.lang.String getRelativeRootPath()

### interfaces

    public GroovyClassDoc[] interfaces()

### nameWithDots

    public java.lang.String nameWithDots()

### ordinaryClasses

    public GroovyClassDoc[] ordinaryClasses()

### putAll

    public void putAll(java.util.Map classes)

### setDescription

    public void setDescription(java.lang.String description)

### setSummary

    public void setSummary(java.lang.String summary)

### summary

    public java.lang.String summary()

Groovy Documentation